///////////////////////////////////////////////////////////////////////////////////////////
// MAT 259 Assignment 3: 3D Spatial Interactive
// "Header" File / Global File
// by Nataly Moreno
///////////////////////////////////////////////////////////////////////////////////////////

import peasy.*;
import controlP5.*;
import java.text.SimpleDateFormat;
import java.text.ParseException;
import java.util.Date;
import java.util.Collections;

PeasyCam cam;
ControlP5 controlP5;

PMatrix3D currCameraMatrix;
PGraphics3D g3;

PFont myFont1 = createFont("Helvetica", 12, true);
PFont myFont2 = createFont("Arial", 14, true);

int p5Margin   = 35;
int p5Distance = 35;

int buttonWidth  = 150;
int buttonHeight = 20;

float xTweak = 1;
float yTweak = 1;
float zTweak = 75;

boolean drawBoundingBox = false;
boolean saveMovie = false;

//Point Cloud
int pointSize = 50;
int transparency = 50;
int glitter = 1;
int groupAppearance = 10457 * 2;
int counterGroup = 0;
int MAX_GROUP = 10457 * 2;
int down = 0;

//Swirlex
int num_years   = 8;
int[] daysInMonth = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, //2006
                     31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, //2007
                     31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, //2008
                     31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, //2009
                     31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, //2010
                     31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, //2011
                     31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, //2012
                     31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, 31  //2013
                    };
                    
//CSV File
Table myTable;
int [][] dataMatrix = null;
